VOGONS


First post, by Baoran

User metadata
Rank Oldbie
Rank
Oldbie

I own wing commander 4 original CD version and I also own the one on gog.com that has the higher quality FMVs from DVD version I believe but it says it require win7 or newer.
Anyone knows if there is any way to run wing commander 4 in my dos/win9x P3 pc using the higher quality FMVs?

Reply 1 of 4, by Baoran

User metadata
Rank Oldbie
Rank
Oldbie

Since the GoG version wc4dvd.exe runs on windows 98 compatibility mode in newer windows and wing commander 4 dvd version is suppose to be originally win9x game as far as I know I copied the installed files from my main pc to my P3. Not sure how exactly they have changed the game at GoG, but at least they have added bunch of dll files that want newer version of windows. First of them was dxmci.dll, but I managed to download a version of that dll that worked on win98se. After that I got the same error from dwrap.dll, but I couldn't find much info on that. People talk online that they have gotten the dvd version of the game working in win98, but I would somehow need to first remove the changes gog has done to the game to restore it to the original state that I could try any of those fixes people talk about.
I would appreciate if anyone could help me with this.

Reply 3 of 4, by SirNickity

User metadata
Rank Oldbie
Rank
Oldbie

I have an original DVD version that came with my Creative PC-DVD Encore kit back in 1998 or so. I'm not sure if it runs on any 9x computer with the ability to play MPEG2 files, or if it requires the Dxr2 decoder board. If there's anything on the disc that would help you, let me know.

Reply 4 of 4, by Baoran

User metadata
Rank Oldbie
Rank
Oldbie
lolo799 wrote on 2020-02-24, 12:35:

The installer doesn't seem to accept my original wing commander IV CD. I wonder if there is some regional differences that are causing that.
Has anyone been able to find out if there are instructions how to do manually what that installer is trying to do?